MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027106Community[OCCT] OCCT:Foundation Classespublic2016-01-22 17:422016-04-20 15:49
ReporterDamir Bogrov 
Assigned Tobugmaster 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2015OS Version64 bit
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0027106: Unresolved external symbols during build a 3rdparty tools in release mode
DescriptionConfiguration:
OCCT version: 7.0.0beta
mode: release

Building a 3rdparty tool which uses OCCT with version 7.0.0beta produces linking errors. All they belong to the myInstance variable in type_instance class.

Looks like this is somehow tide with optimization. Removing myInstance from type_instance class and get() method resolved an issue.

Also OCCT was built succesfully without this variable.
Steps To Reproduce1) Build OCCT 7.0.0beta in release mode
2) link another application with OCC
Additional information
and documentation updates
Not for Release notes
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0027091closedbugmaster 7.0.0 beta Clang OOP -Wall warnings - missing overrides and undefined internal linkages 

-  Notes
(0050073)
abv (manager)
2016-01-22 17:57

Hello Damir,

Please try on current master -- I guess this can be fixed by commit a180d513 (relevant issue is 0027091)
(0050096)
Damir Bogrov (reporter)
2016-01-25 10:11

Hello Andrey,

All is fine on the new master (22.01.2016). Thank you.
(0050099)
abv (manager)
2016-01-25 10:40

Igor, please switch this issue to Verified

- Issue History
Date Modified Username Field Change
2016-01-22 17:42 Damir Bogrov New Issue
2016-01-22 17:42 Damir Bogrov Assigned To => abv
2016-01-22 17:57 abv Note Added: 0050073
2016-01-22 17:57 abv Assigned To abv => Damir Bogrov
2016-01-22 17:57 abv Status new => feedback
2016-01-25 10:11 Damir Bogrov Note Added: 0050096
2016-01-25 10:39 abv Relationship added related to 0027091
2016-01-25 10:40 abv Note Added: 0050099
2016-01-25 10:40 abv Assigned To Damir Bogrov => bugmaster
2016-01-25 10:40 abv Product Version => 7.0.0
2016-01-25 10:40 abv Target Version => 7.0.0
2016-01-25 10:40 abv Additional Information Updated View Revisions
2016-01-25 10:46 bugmaster Status feedback => tested
2016-01-25 10:46 bugmaster Status tested => verified
2016-01-25 10:46 bugmaster Resolution open => fixed
2016-04-20 15:43 user533 Fixed in Version => 7.0.0
2016-04-20 15:49 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker